{% extends 'master/master.html '%} {% block content %} {% load static %}

<div class="container">
    {%if messages%} {% for message in messages %}
    <div class="alert alert-sucess">{{message}}</div>
    {% endfor %} {% endif %}
    <section class="product_section layout_padding">
        <div class="container-fluid">
            <div class="row">
                <div class="col-sm-3 h-100">
                    <h6 class="card-header">Categories</h6>
                    <div class="list-group list-group-flush">
                        {% for cat in categoryData %}
                        <li class="list-group-item">
                            <a href="{% url 'category_details' cat.slug%}"> {{cat.name}}</a> </li>
                        {% endfor %}
                    </div>


                </div>
                <div class="col-sm-9">
                    <div class="container">
                        {% for category in categoryData %}

                        <div class="heading_container heading_center ">
                            <h2>{{ category.name }} </h2>
                        </div>
                        <div class="row ">
                            {% for product in category.product_set.all %}
                            <div class="col-sm-6 col-md-4 col-lg-4 ">
                                <div class="box ">

                                    <div class="option_container ">
                                        <div class="options ">
                                            <a href="{% url 'cart_add' product.id %} " class="option1 ">
                                               Add to Cart
                                                    </a>
                                            <a href="{% url 'product_details' product.slug %} " class="option2 ">
                                                 Quick View
                                                 </a>
                                        </div>
                                    </div>
                                    <div class="img-box ">
                                        {% if product.image %}
                                        <img src="{{ product.image.url }} " alt=" "> {% endif %}
                                    </div>
                                    <div class="detail-box ">
                                        <h5>
                                            {{product.name}}
                                        </h5>
                                        <h6>
                                            Rs: {{ product.price }}
                                        </h6>
                                    </div>

                                </div>
                            </div>
                            {% endfor %}

                        </div>
                        {% endfor %}
                        <br>
                    </div>
                </div>
            </div>
        </div>
    </section>
</div>
<script src="https://code.jquery.com/jquery-3.6.0.min.js "></script>
<script src="{% static 'js/filter.js'%} "></script>
{% endblock %}